## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# celClientEventData Class Reference

The data about a client event. More...

`#include <physicallayer/nettypes.h>`

List of all members.

## Public Member Functions

| celClientEventData (celClientEventData &event)
| celClientEventData ()

## Public Attributes

csRef< iCelDataBuffer > | event_data
| The persistent data of the event.
csTicks | event_time
| The time at which the event occured.
celClientEventType | event_type
| The type of the event.
bool | reliable
| True if we need to be sure that the message has been received by the server.

## Detailed Description

The data about a client event.

Definition at line 333 of file nettypes.h.

## Member Data Documentation

csRef<iCelDataBuffer> celClientEventData::event_data

| The persistent data of the event. Definition at line 349 of file nettypes.h.

csTicks celClientEventData::event_time

| The time at which the event occured. Definition at line 344 of file nettypes.h.

celClientEventType celClientEventData::event_type

| The type of the event. Definition at line 339 of file nettypes.h.

bool celClientEventData::reliable

| True if we need to be sure that the message has been received by the server. Definition at line 354 of file nettypes.h.

The documentation for this class was generated from the following file:

- physicallayer/nettypes.h